QB_MAP_FOREACH(3)

NAME
qb_map_foreach - Calls the given function for each of the key/value pairs in the map.

SYNOPSIS
#include <qb/qbmap.h>

void qb_map_foreach(
    qb_map_t             *map,
    qb_map_transverse_fn  func,
    void                 *user_data
);

DESCRIPTION

The function is passed the key and value of each pair, and the given data parameter. The map is traversed in sorted order.

SEE ALSO

qb_trie_dump(3), qb_map_iter_create(3), qb_skiplist_create(3), qb_map_notify_del(3), qb_map_put(3), qb_map_count_get(3), qb_map_pref_iter_create(3), qb_map_iter_next(3), qb_map_get(3), qb_map_destroy(3), qb_hashtable_create(3), qb_map_iter_free(3), qb_map_notify_add(3), qb_trie_create(3), qb_map_notify_del_2(3), qb_map_rm(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.